Bug 747250 - /run shows up twice in /proc/mounts
Summary: /run shows up twice in /proc/mounts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux   
(Show other bugs)
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: F16Blockerppc
TreeView+ depends on / blocked
 
Reported: 2011-10-19 09:14 UTC by Harald Hoyer
Modified: 2012-03-14 13:10 UTC (History)
4 users (show)

Fixed In Version: util-linux-2.20.1-2.2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-28 03:24:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for /run mounted twice (1.38 KB, patch)
2011-10-19 09:14 UTC, Harald Hoyer
no flags Details | Diff

Description Harald Hoyer 2011-10-19 09:14:03 UTC
Created attachment 528944 [details]
Fix for /run mounted twice

/run shows up twice in /proc/mounts

$ fgrep ' /run' /proc/mounts
tmpfs /run tmpfs rw,nosuid,nodev,relatime,mode=755 0 0
tmpfs /run tmpfs rw,nosuid,nodev,relatime,mode=755 0 0

/run is not handled by switch_root

Attached patch fixes it.

Comment 1 Karel Zak 2011-10-20 10:31:11 UTC
Fixed by upstream commit acb03ad46a0f5160fe7a1c9d9ec09c35494d3051. Thanks for the patch.

The bugfix will be available in v2.20.1.

Comment 2 Fedora Update System 2011-10-20 11:48:38 UTC
util-linux-2.20.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/util-linux-2.20.1-1.fc16

Comment 3 Fedora Update System 2011-10-25 03:45:44 UTC
util-linux-2.20.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Ron Yorston 2012-01-05 21:40:38 UTC
Well, I have util-linux-2.20.1-2.1.fc16 and /run appears twice in /proc/mounts:

[rmy@pegasus ~]$ rpm -q util-linux
util-linux-2.20.1-2.1.fc16.i686
[rmy@pegasus ~]$ grep /run /proc/mounts
tmpfs /run tmpfs rw,seclabel,nosuid,nodev,relatime,mode=755 0 0
tmpfs /run tmpfs rw,seclabel,nosuid,nodev,relatime,mode=755 0 0
[rmy@pegasus ~]$

Comment 6 Karel Zak 2012-01-10 12:01:40 UTC
Ah, good point Harald. Thanks.

Comment 7 Fedora Update System 2012-01-23 14:10:21 UTC
util-linux-2.20.1-2.2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/util-linux-2.20.1-2.2.fc16

Comment 8 Fedora Update System 2012-01-23 21:52:16 UTC
Package util-linux-2.20.1-2.2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.20.1-2.2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0815/util-linux-2.20.1-2.2.fc16
then log in and leave karma (feedback).

Comment 9 Ron Yorston 2012-01-24 19:56:03 UTC
Still not fixed for me:

[rmy@atlas ~]$ rpm -q util-linux
util-linux-2.20.1-2.2.fc16.i686
[rmy@atlas ~]$ cat /proc/mounts | grep /run
tmpfs /run tmpfs rw,seclabel,nosuid,nodev,relatime,mode=755 0 0
tmpfs /run tmpfs rw,seclabel,nosuid,nodev,relatime,mode=755 0 0
[rmy@atlas ~]$ 

Yes, I rebooted after the update.

Comment 10 Karel Zak 2012-01-24 22:20:14 UTC
Did you rebuild your initramfs? (man dracut)

Comment 11 Harald Hoyer 2012-01-25 09:24:30 UTC
(In reply to comment #10)
> Did you rebuild your initramfs? (man dracut)

# dracut -f 

will override the old initramfs with new one for the current kernel.

Comment 12 Ron Yorston 2012-01-25 09:31:47 UTC
No, I hadn't rebuilt the initramfs.  The sequence of events was: perform a normal 'yum update' that brought in kernel 3.2.1-3; perform a yum --enablerepo=updates-testing util-linux; reboot.  So there was a new initramfs but it didn't include the updated util-linux.

After I running dracut and rebooting again I can see that the fix works.

Comment 13 Fedora Update System 2012-01-28 03:24:44 UTC
util-linux-2.20.1-2.2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.